Page MenuHomePhabricator

[OpenMP] Add GOMP 5.0 version symbols to API
ClosedPublic

Authored by jlpeyton on Jun 3 2021, 2:19 PM.

Details

Summary
  • Add GOMP versioned pause functions
  • Add GOMP versioned affinity format functions

To do the affinity format functions, only attach versioned symbols
to the APPEND Fortran entries (e.g., omp_set_affinity_format_) since
GOMP only exports two symbols (one for Fortran, one for C). Our
affinity format functions have three symbols.
e.g., with omp_set_affinity_format:

  1. omp_set_affinity_format (Fortran interface)
  2. omp_set_affinity_format_ (Fortran interface)
  3. ompc_set_affinity_format (C interface)

Have the GOMP version of the C symbol alias the ompc_* 3) version instead of the Fortran unappended version 1).

Diff Detail

Event Timeline

jlpeyton created this revision.Jun 3 2021, 2:19 PM
jlpeyton requested review of this revision.Jun 3 2021, 2:19 PM
AndreyChurbanov accepted this revision.Jun 9 2021, 6:06 AM

LGTM. One nit: probably clang-format suggestions can be applied.

This revision is now accepted and ready to land.Jun 9 2021, 6:06 AM
This revision was landed with ongoing or failed builds.Jun 15 2021, 2:25 PM
This revision was automatically updated to reflect the committed changes.